%YAML 1.1
---
gfVersion: v1.0
class: app

name: spades-assembly-3.13.0-gf
description: SPAdes Genome Assembler
repo_uri: https://gitlab.com/geneflow/apps/spades-assembly-3.13.0-gf.git
version: '0.3'
inputs:
  input:
    label: FASTQ File
    description: Forward Reads FASTQ file
    type: File
  pair:
    label: FASTQ File
    description: Reverse Reads FASTQ file
    type: File
parameters:
  output:
    label: Output Folder
    description: Output folder that contains SPAdes assembly
    type: Directory
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-spades-assembly-3.13.0-gf-0.3{{ revision }}
{% endif %}
  local:
    script: spades-assembly-3.13.0-gf.sh
...